@charset "utf-8";

/* グレーの背景のエリア */
main{
    .contents_area{
        overflow: hidden;
        height: -webkit-fill-available;
        padding-right: 60px;
        grid-area: 1 / 2 / 2 / 3;
        h2{
            display: flex;
            align-items: center;
            height: 100px;
            font-size: 30px;
            &::before{
                display: block;
                content: '';
                width: 100px;
                height: 100%;
                background: url(../../images/common/menu_icon11.svg) center/contain no-repeat;
            }
        }
        @media screen and (max-width: 1199px){
            h2{
                font-size: 1.5em;
            }
        }
        @media screen and (max-width: 1032px){
            height: 90%;
            padding: 0 20px;
            h2{
                height: 70px;
                &::before{
                    width: 70px;
                }
            }
        }
        @media screen and (max-width: 575px){
            height: calc((100dvh - 90px - 15px) * 0.9);
            h2{
                height: 52px;
                font-size: 1.1em;
                &::before{
                    width: 52px;
                }
            }
        }
        .contents_inner{
            overflow-y: auto;
            height: calc(100% - 100px);
            padding: 7px 1rem 7px 7px;
            @media screen and (max-height: 906px){
                height: calc(780px* 0.9 - 200px);
                padding: 7px 1rem 20px 7px;
            }
            @media screen and (max-width: 575px){
                height: calc(100% - 50px);
            }
            .button_list{
                display: grid;
                --auto-grid-min-size: min(26rem, calc(33% - 2.4rem));
                grid-template-columns: repeat(auto-fill, minmax(var(--auto-grid-min-size), 1fr));
                grid-gap: 40px;
                @media screen and (max-width : 1550px) {
                    --auto-grid-min-size: calc(50%  - 2rem);
                    grid-gap: 2rem;
                }
                @media screen and (max-width : 1199px){
                    --auto-grid-min-size: 100%;
                }
                li{
                    display: flex;
                    min-height: 110px;
                    text-align: center;
                    background-color: #fff;
                    /* border-radius: 1920px→20px　1200px→10px */
                    border-radius: clamp(0.625rem, -0.417rem + 1.39vw, 1.25rem);
                    box-shadow: 0px 0px 7px 0px rgba(0,0,0,0.2);
                    transition: 0.3s;
                    a{
                        position: relative;
                        display: inline-block;
                        width: 100%;
                        padding: 20px 0;
                        box-sizing: border-box;
                        text-decoration: none;
                        transition: 0.3s;
                        &::before {
                            content: "";
                            position: absolute;
                            top: 0;
                            left: 0;
                            width: 100%;
                            height: 100%;
                            /* border-radius: 1920px→20px　1200px→10px */
                            border-radius: clamp(0.625rem, -0.417rem + 1.39vw, 1.25rem);
                            background-color: rgba(0, 0, 0, 0.2);
                            opacity: 0;
                            transition: opacity 0.3s ease; /* オーバーレイのフェードイン/フェードアウト効果 */
                        }
                        &:hover{
                            &::before{
                                opacity: 1;
                            }
                        }
                        img{
                            width: 100%;
                            /* margin-bottom: 1920px→24px　992px→10px */
                            margin-bottom: clamp(0.625rem, -0.31rem + 1.51vw, 1.5rem);
                            border-radius: 10px
                        }
                        .file_name{
                            display: flex;
                            flex-direction: column;
                            justify-content: center;
                            height: 100%;
                            h3{
                                word-break: break-all;
                                line-height: 1.5em;
                                font-size: clamp(1rem, 0.572rem + 1.37vw, 1.6rem); 
                                /* 画面サイズが1201px以上の場合：フォントサイズ25.6px 
                                　 画面サイズが500px以下の場合：フォントサイズ16px */
                            }
                            p{
                                margin-top: 10px;
                                font-size: clamp(0.7rem, 0.4rem + 0.96vw, 1.12rem);
                                line-height: clamp(0.7rem, 0.4rem + 0.96vw, 1.12rem);
                            }
                            .moviecaption{
                                font-weight: lighter;
                                font-size: clamp(0.8rem, 0.434rem + 1.17vw, 1.313rem);
                                /* 画面サイズが1200px以上の場合：フォントサイズ21px 
                                　 画面サイズが500px以下の場合：フォントサイズ12.8px */
                                .movietime{
                                    color: #A2A2A2;
                                }
                            }
                            p.text-right{
                                text-align: right;
                            }
                        }
                    }
                }                
            }
        }
    }
    .logo_area{
        grid-area: 2 / 2 / 3 / 3;
        display: flex;
        justify-content: center;
        align-items: center;
        img{
            width: 105px;
        }
        @media screen and (max-width: 1032px){
            height: calc((100dvh - 90px - 15px) * 0.1)
        }
    }
}